<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.tzld.piaoquan</groupId>
        <artifactId>ad-engine</artifactId>
        <version>1.0.0</version>
    </parent>
    <artifactId>ad-engine-server</artifactId>
    <name>ad-engine-server</name>
    <description>ad-engine-server</description>
    <dependencies>
        <dependency>
            <groupId>com.tzld.piaoquan</groupId>
            <artifactId>ad-engine-service</artifactId>
            <version>1.0.3</version>
            <exclusions>
                <exclusion>
                    <artifactId>log4j-slf4j-impl</artifactId>
                    <groupId>org.apache.logging.log4j</groupId>
                </exclusion>
            </exclusions>
        </dependency>

    </dependencies>
    <build>
        <!-- 固定包名 避免随着版本变动 -->
        <finalName>ad-engine</finalName>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*.yml</include>
                    <include>**/*.yaml</include>
                    <include>**/*.xml</include>
                    <include>**/*.conf</include>
                    <include>**/*.properties</include>
                    <include>**/*.txt</include>
                </includes>
                <filtering>true</filtering>
            </resource>
        </resources>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>

    </build>

</project>